Skip to content

Update API Key

PATCH
/api/api-keys/{id}

Update an API key's settings. The key is rotated: a new key with a new id is returned once, and the previous key is revoked.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "api-keys",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"enabled": true,
  
  
  
"permissions": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"modules": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowedDomains": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
}
}

Responses

API key updated and regenerated

application/json
JSON
{
  
"data": {
  
  
"id": "string",
  
  
"key": "string",
  
  
"name": "string",
  
  
"prefix": "string",
  
  
"organizationId": "string",
  
  
"permissions": [
  
  
  
"string"
  
  
],
  
  
"modules": [
  
  
  
"string"
  
  
],
  
  
"expiresAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation